Loading...
Searching...
No Matches
Opm::gpuistl::PreconditionerHolder< X, Y > Class Template Referenceabstract

Common interface for adapters that hold preconditioners. More...

`#include <PreconditionerHolder.hpp>`

Inheritance diagram for Opm::gpuistl::PreconditionerHolder< X, Y >:

## Public Member Functions

virtual std::shared_ptr< Dune::PreconditionerWithUpdate< X, Y > > | getUnderlyingPreconditioner ()=0
| getUnderlyingPreconditioner gets the underlying preconditioner (preconditioner being held)

## Detailed Description

template<class X, class Y>
class Opm::gpuistl::PreconditionerHolder< X, Y >

Common interface for adapters that hold preconditioners.

Note
  The goal is that this class will be made useless after further restructuring of the solver interfaces (FlexibleSolver and friends), but for this is needed as an intermediate layer. See specifically SolverAdapter.hpp for how this is used.

## Member Function Documentation

## getUnderlyingPreconditioner()

template<class X, class Y>

virtual std::shared_ptr< Dune::PreconditionerWithUpdate< X, Y > > Opm::gpuistl::PreconditionerHolder< X, Y >::getUnderlyingPreconditioner | ( |  | ) |

pure virtual

getUnderlyingPreconditioner gets the underlying preconditioner (preconditioner being held)

Implemented in Opm::gpuistl::GpuBlockPreconditioner< X, Y, C, P >, and Opm::gpuistl::PreconditionerAdapter< X, Y, CudaPreconditionerType >.

The documentation for this class was generated from the following file:

- opm/simulators/linalg/gpuistl/PreconditionerHolder.hpp